Authentication
API keys
Section titled “API keys”Create an API key via the CLI (name is a positional argument):
qubithub keys create my-keyqubithub keys create my-key --scopes "circuit:read,circuit:write"Use it in requests via the X-API-Key header:
curl -H "X-API-Key: qh_..." https://qubithub.co/api/circuitsCLI authentication
Section titled “CLI authentication”qubithub login # Interactive email/password promptqubithub login --api-key qh_abc123 # Non-interactive API key authqubithub login --token eyJhbG... # Non-interactive JWT authVerify you’re authenticated:
qubithub whoamiRate limits
Section titled “Rate limits”| Tier | Rate Limit |
|---|---|
| Free | 60 req/min |
| Pro | 600 req/min |
Security best practices
Section titled “Security best practices”- Never commit API keys to version control
- Use environment variables for CI/CD workflows (
QUBITHUB_API_KEY) - Rotate keys periodically via
qubithub keys revoke <key-id>